Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!

Bug 189783

Summary: IllegalArgumentException: URI has an authority component
Product: php Reporter: onman
Component: DebuggerAssignee: Ondrej Brejla <obrejla>
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P3 CC: A.Zoutman, argonym, cueshot, jacobkiers, kAlvaro
Version: 7.0   
Target Milestone: 7.3   
Hardware: All   
OS: All   
URL: http://statistics.netbeans.org/analytics/detail.do?id=170565
Whiteboard: EXCEPTIONS_REPORT
Issue Type: DEFECT Exception Report: 170565
Attachments: stacktrace
stacktrace

Description onman 2010-08-23 19:11:49 UTC
Build: NetBeans IDE 6.9.1 (Build 201007282301)
VM: Java HotSpot(TM) Client VM, 17.0-b17, Java(TM) SE Runtime Environment, 1.6.0_21-b07
OS: Windows XP

User Comments:
onman: I am creating a web app using javascript & html (only 56 lines of code, yet). When I select the 'debug' option from the menu, the html page is opened in the debugger and it sits there waiting for the debugger to respond.

netbeans just sits there 'waiting for connection (netbeans-xdebug)'.




Stacktrace: 
java.lang.IllegalArgumentException: URI has an authority component
   at java.io.File.<init>(File.java:0)
   at org.netbeans.modules.php.dbgp.URIMapper.createDefaultMapper(URIMapper.java:126)
   at org.netbeans.modules.php.dbgp.URIMapper.createMultiMapper(URIMapper.java:113)
   at org.netbeans.modules.php.dbgp.SessionId.initialize(SessionId.java:93)
   at org.netbeans.modules.php.dbgp.DebugSession.initConnection(DebugSession.java:192)
   at org.netbeans.modules.php.dbgp.packets.InitMessage.setId(InitMessage.java:168)
Comment 1 onman 2010-08-23 19:11:53 UTC
Created attachment 101611 [details]
stacktrace
Comment 2 Filip Zamboj 2010-09-15 12:33:04 UTC
batch reassigning
Comment 3 OndrejBrejla 2011-03-29 13:41:11 UTC
What is the path to your created project? Is it in shared folder? Is there any space in it? Or something special like that?
Comment 4 A.Zoutman 2011-04-06 08:57:41 UTC
Created attachment 107538 [details]
stacktrace

When using Netbeans and XDebug this exeption is thrown.

I am using a localhosted Virtual Server, with a Documentroot on a networked drive.
It is no problem for Netbeans to edit these files, but it seems that XDebug has no acces to this networked drive.

Using localhost with files on the c: drive debug with no problem.

Any suggestions?
Comment 5 Tomas Mysik 2011-06-03 10:19:46 UTC
Batch reassigning.
Comment 6 Tomas Mysik 2011-06-09 13:20:52 UTC
Reassigning to the module owner.
Comment 7 argonym 2011-07-18 18:52:38 UTC
See exceptions report #170565.

Preconditions for this exception to occur on my setup:
- windows xp sp3 environment
- my apache webserver with php+xdebug is running locally, but loading its files from a network share (this is working)
- my project's source and project folders are located on the local machine as well, but netbeans is set up to copy the source folder to the network share
- no path mappings were defined (however, when I defined them they were not used anyway, maybe because the webserver is running on the local machine)

I initiated a debug session, browser requested the correct URL with XDEBUG_SESSION_START param, and xdebug seemed to take note of that request:

<init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" fileuri="file://SERVER/SHARE/bos-dev/index.php" language="PHP" protocol_version="1.0" appid="4800" idekey="netbeans-xdebug"><engine version="2.1.1"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[http://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2011 b ...

XDebug then sent a TCP packet to Netbeans listening on :9000. (I was not able to capture the packet sent.) At this point the exception occured. The behaviour is repeatable.
I read in some forum that Netbeans (or Java) has problems with network shares, and that using a network-mapped drive should be working. I did not test this option, but debugging a script residing in the local file system however works.
Comment 8 kAlvaro 2011-07-29 08:19:55 UTC
According to Wireshark, Xdebug connects back successfully. My computer receives this XML data at port 9000:

<?xml version="1.0" encoding="iso-8859-1"?>
<init
	xmlns="urn:debugger_protocol_v1"
	xmlns:xdebug="http://xdebug.org/dbgp/xdebug"
	fileuri="file://PROJECTS/WEB%20SITES/test/netbeans/xdebug-test.php"
	language="PHP"
	protocol_version="1.0"
	appid="3700"
	idekey="netbeans-xdebug-alvaro"
>
	<engine version="2.1.1"><![CDATA[Xdebug]]></engine>
	<author><![CDATA[Derick Rethans]]></author>
	<url><![CDATA[http://xdebug.org]]></url>
	<copyright><![CDATA[Copyright (c) 2002-2011 by Derick Rethans]]></copyright>
</init>

(XML was reformatted for better visualization, original comes in two lines.)
Comment 9 Ondrej Brejla 2012-09-17 09:22:28 UTC
Should be fixed together with issue #218393 in web-main #c0389613449e
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo